export let sdkBaseUrl: string;
declare global {
    interface Window {
        BasisTheory3ds?: typeof BasisTheory3ds;
    }
}
type ConfigOptions = {
    /**
     * Allows customization of api base url
     */
    apiBaseUrl?: string;
    /**
     * Allows customization fo sdk base url (for static pages access)
     */
    sdkBaseUrl?: string;
    /**
     * Disables telemetry
     */
    disableTelemetry?: boolean;
    challengeContainerOptions?: {
        /**
         * Overrides default ID of iframe container
         */
        id?: string;
    };
};
export const BasisTheory3ds: (apiKey: string, configOptions?: ConfigOptions) => {
    createSession: ({ tokenId, tokenIntentId, pan, skipMethodRequest, methodRequestMode, challengeMode, }: import("~src/session").Create3dsSessionRequest) => Promise<{
        id: string;
        cardBrand?: string;
    }>;
    startChallenge: ({ sessionId, acsTransactionId, acsChallengeUrl, threeDSVersion, windowSize, mode, timeout, }: {
        acsChallengeUrl: string;
        acsTransactionId: string;
        sessionId: string;
        threeDSVersion: "2.1.0" | "2.2.0";
        windowSize?: `${import("utils/browser").WindowSizeId}` | import("utils/browser").WindowSizeId;
        timeout?: number;
        mode?: import("~src/constants").AcsMode;
    }) => Promise<{
        id: string;
    }>;
};
